org.apache.maven.scm.provider.hg.command.diff

## Class HgDiffConsumer

- java.lang.Object
- - org.apache.maven.scm.util.AbstractConsumer
  - - org.apache.maven.scm.provider.hg.command.HgConsumer
    - - org.apache.maven.scm.provider.hg.command.diff.HgDiffConsumer

All Implemented Interfaces:
  org.codehaus.plexus.util.cli.StreamConsumer

    public class HgDiffConsumer
    extends HgConsumer

Author:
  thurner rupert, Olivier Lamy

### Constructor Summary

Constructors
Constructor and Description
`HgDiffConsumer(ScmLogger logger, File workingDirectory)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `consumeLine(String line)`
`List<ScmFile>` `getChangedFiles()`
`Map<String,CharSequence>` `getDifferences()`
`String` `getPatch()`

### Methods inherited from class org.apache.maven.scm.provider.hg.command.HgConsumer

`doConsume, getStdErr`

### Methods inherited from class org.apache.maven.scm.util.AbstractConsumer

`getLogger, parseDate, parseDate, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HgDiffConsumer

    public HgDiffConsumer(ScmLogger logger,
                          File workingDirectory)

### Method Detail

#### consumeLine

    public void consumeLine(String line)

Specified by:
  `consumeLine` in interface `org.codehaus.plexus.util.cli.StreamConsumer`
Overrides:
  `consumeLine` in class `HgConsumer`

#### getChangedFiles

    public List<ScmFile> getChangedFiles()

#### getDifferences

    public Map<String,CharSequence> getDifferences()

#### getPatch

    public String getPatch()